[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

switchdesk question



Greetings;

New debian user, old readhat/fedora user.

I have sarge installed and had aptitude install both gnome and kde.
gnome looks ok I guess althought there are errors, but I'm a kde fan 
and the utility called 'switchdesk' doesn't seem to be available...

I tried to do an 'aptitude install switchdesk' and got this error 
synopsis after it munched thru the database:
------------
Couldn't find any package whose name or description matched 
"switchdesk"
The following packages have been kept back:
  adduser base-config base-files base-passwd bash bsdmainutils
  console-common cron debconf debconf-i18n debianutils exim4 
exim4-base
  exim4-config exim4-daemon-light findutils gettext-base grep 
groff-base
  iptables libattr1 liblocale-gettext-perl liblzo1 libnewt0.51 
libpcre3
  libtasn1-2 libtext-charwidth-perl libtext-iconv-perl
  libtext-wrapi18n-perl login makedev man-db manpages net-tools
  netkit-inetd passwd procps psmisc tasksel wget whiptail
0 packages upgraded, 0 newly installed, 0 to remove and 41 not 
upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Setting up gdb (6.3-6) ...

gzip: stdin: invalid compressed data--crc error
install-info(/usr/share/info/gdb.info): read gzip -cd 
</usr/share/info/gdb.info.gz |: 256
dpkg: error processing gdb (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of bug-buddy:
 bug-buddy depends on gdb; however:
  Package gdb is not configured yet.
dpkg: error processing bug-buddy (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-core:
 gnome-core depends on bug-buddy (>= 2.8.0); however:
  Package bug-buddy is not configured yet.
dpkg: error processing gnome-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of 
gnome-desktop-environment:
 gnome-desktop-environment depends on gnome-core (= 64); however:
  Package gnome-core is not configured yet.
dpkg: error processing gnome-desktop-environment (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-office:
 gnome-office depends on gnome-core (= 64); however:
  Package gnome-core is not configured yet.
dpkg: error processing gnome-office (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome:
 gnome depends on gnome-desktop-environment (= 64); however:
  Package gnome-desktop-environment is not configured yet.
 gnome depends on gnome-office (= 64); however:
  Package gnome-office is not configured yet.
dpkg: error processing gnome (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gdb
 bug-buddy
 gnome-core
 gnome-desktop-environment
 gnome-office
 gnome
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ack!  Something bad happened while installing packages.  Trying to 
recover:
Setting up gdb (6.3-6) ...

gzip: stdin: invalid compressed data--crc error
install-info(/usr/share/info/gdb.info): read gzip -cd 
</usr/share/info/gdb.info.gz |: 256
dpkg: error processing gdb (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of bug-buddy:
 bug-buddy depends on gdb; however:
  Package gdb is not configured yet.
dpkg: error processing bug-buddy (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-core:
 gnome-core depends on bug-buddy (>= 2.8.0); however:
  Package bug-buddy is not configured yet.
dpkg: error processing gnome-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of 
gnome-desktop-environment:
 gnome-desktop-environment depends on gnome-core (= 64); however:
  Package gnome-core is not configured yet.
dpkg: error processing gnome-desktop-environment (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-office:
 gnome-office depends on gnome-core (= 64); however:
  Package gnome-core is not configured yet.
dpkg: error processing gnome-office (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome:
 gnome depends on gnome-desktop-environment (= 64); however:
  Package gnome-desktop-environment is not configured yet.
 gnome depends on gnome-office (= 64); however:
  Package gnome-office is not configured yet.
dpkg: error processing gnome (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gdb
 bug-buddy
 gnome-core
 gnome-desktop-environment
 gnome-office
 gnome
Reading Package Lists... Done
Building Dependency Tree
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
shop:~#                                                              
--------------

What do I do about the errors above?

And, what do I have to install to get the switchdesk (or a workalike) 
utilty?

-- 
Cheers, Gene
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
99.35% setiathome rank, not too shabby for a WV hillbilly
Yahoo.com and AOL/TW attorneys please note, additions to the above
message by Gene Heskett are:
Copyright 2005 by Maurice Eugene Heskett, all rights reserved.



Reply to: